﻿using System.Windows.Forms;
using System.Runtime.InteropServices;
using Microsoft.VisualStudio.Shell;

namespace MyCompany.StartupToolsetRefactored
{
  [Guid("900FAEBC-55D0-4060-93CB-936DF3074CBD")]
  public class CalculationToolWindow : ToolWindowPane
  {
    private CalculationControl control;

    /// <summary>
    /// Standard constructor for the tool window.
    /// </summary>
    public CalculationToolWindow() :
      base(null)
    {
      Caption = Resources.ToolWindowTitle;
      BitmapResourceID = 300;
      BitmapIndex = 0;
      control = new CalculationControl();
    }

    /// <summary>
    /// This property returns the handle to the user control that should
    /// be hosted in the Tool Window.
    /// </summary>
    override public IWin32Window Window
    {
      get { return control; }
    }
  }
}
